=== modified file 'doc/setup/install_proc.txt'
--- doc/setup/install_proc.txt	2008-06-02 06:36:19 +0000
+++ doc/setup/install_proc.txt	2008-06-10 13:28:16 +0000
@@ -36,7 +36,7 @@
 sudo apt-get update
 sudo apt-get install subversion
 sudo apt-get install gcc libc6 libc6-dev make
-sudo apt-get install apache2 libapache2-mod-python
+sudo apt-get install apache2 libapache2-mod-python libapache2-svn
 sudo apt-get install python2.5-dev python-svn python-webpy
 sudo apt-get install python-numpy python-matplotlib
 sudo apt-get install postgresql python-pygresql python-ldap
@@ -165,31 +165,43 @@
 ./setup.py build
 sudo ./setup.py install
 
-# Make the directory containing the svn auth.  Make sure it is owned by 
-# www-data, or at least readable and writable by it.
-# Make the SVN directory for IVLE
+# Make the directory containing the svn auth.
+# Make sure it is owned by www-data.
 sudo mkdir /opt/ivle/svn
 sudo chown -R www-data:www-data /opt/ivle/svn
 
+# Make the "repositories" and "sessions" directories in the home.
+# Make sure they are owned by www-data.
+cd /home/informatics
+sudo mkdir repositories sessions
+sudo chown -R www-data:www-data svn repositories sessions
+
 # Create a user
 sudo ./makeuser.py [OPTIONS] <login> 'Firstname Lastname' <rolenm> -p <password>
 # role = guest/student/tutor/lecturer/admin
 
 # Configure the Apache HTTP server
-sudo cp doc/setup/ivle.conf /etc/apache2/sites-available
+sudo cp doc/setup/ivle-both.conf /etc/apache2/sites-available/ivle.conf
 # MODIFY the first few lines so it is specific to your server.
+# * Change ServerAdmin and ServerName (for error reporting).
+# * Inside the first VirtualHost block, there are two ServerNames
+#   (localhost and public.localhost). You must change these to the domains
+#   for regular IVLE and published-browsing IVLE respectively.
+# * Inside the second VirtualHost block, there is one ServerName
+#   (svn.localhost). You must change this to the domain for svn access.
+# * Change all paths beginning with /opt/ivle or /home/informatics to the
+#   locations you have installed things in.
 vim /etc/apache2/sites-available/ivle.conf
 
 # Replace the existing config link with the ivle one
 cd /etc/apache2/sites-enabled/
 sudo ln -fs /etc/apache2/sites-available/ivle.conf 000-default
 
-# Make the directory corresponding to the directory for saved session
-# objects in the apache config ivle.conf. Make sure it is owned by www-data,
-# or at least readable and writable by it.
-
-sudo mkdir /home/informatics/sessions
-sudo chown www-data:www-data /home/informatics/sessions
+# Make sure the 3 domains given in Apache conf all lookup to your server.
+# (By default these are localhost, public.localhost and svn.localhost).
+# For testing purposes, this can be done by editing /etc/hosts, for example:
+127.0.0.1	public.localhost
+127.0.0.1	svn.localhost
 
 # Restart the server
 sudo apache2ctl -k restart

